Create a loan application (sub-account)

This request will create a new loan application for the sub account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Base request for creating a loan application.

string | null

Loan ID in your external system for cross-referencing and idempotency.

string | null
deprecated

[DEPRECATED] Transaction ID in your external system for cross-referencing and idempotency.
This field is deprecated. Use 'openLoanExternalTransactionId' and 'borrowExternalTransactionId' instead.
When provided without the new fields, this ID will be assigned to the FIAT_BORROW transaction only.
The new fields take precedence if both are provided.

string | null

Transaction ID for OPEN_LOAN in your external system for cross-referencing and idempotency.

string | null

Transaction ID for FIAT_BORROW in your external system for cross-referencing and idempotency.

applicantInfo
object
required

Information about the loan applicant.

number | null
≥ 0

Amount of cryptocurrency used as security.

number | null
≥ 0

Principal amount to borrow in fiat currency.

uuid
required

Unique identifier of the loan offer.

fiatWithdrawalBankAccount
object

Bank account details for fiat withdrawal.

int32 | null
≥ 0

The total duration of the loan in years. For LOC, it will always be retrieved from the offer.

string
enum
required

The type of the loan application.

Allowed:
string
enum
required
Defaults to NOT_SUPPLIED

Whether the funds were already supplied or not.

Allowed:
Headers
string
required
length between 0 and 36

A unique client-generated identifier for idempotency. Prevents duplicate requests if the same ID is used more than once.

uuid
required

Sub-account ID.

string
required

SHA-256 signature of the JSON payload and private key. See API Key Authentication

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*